POST /interaction/v1/interactions/contactexit/status

Overview 

Returns the status of a request to remove a contact from a journey or from one or more versions of a journey.

JSON Parameters 

NameTypeDescription
ContactKeystringRequiredID that uniquely identifies a subscriber or contact. Include a single contact or an array of up to 50 contacts.
DefinitionKeystringRequiredCustomer Key that uniquely identifies the journey. This key is the same for all versions of the journey.
VersionsarrayOne or more versions of a journey from which to remove a contact.

Responses 

StatusNameTypeDescription
200  ****
 contactKeystringContact that needs to be removed from a journey
 definitionKeystringDefinition key of the journey
 statusarrayArray of statuses of the contact in a given journey
 status.versionstringVersion number of the journey
 status.messagestringStatus of the request to remove a contact from a specific version of the journey
 status.definitionInstanceIdstringUnique Id representing each instance of a contact in a journey

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /interaction/v1/interactions/contactexit/status
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6[
7    {
8        "ContactKey": "CONTACTKEY 1",
9        "DefinitionKey": "DEFINITIONKEY"
10    },
11    {
12        "ContactKey": "CONTACTKEY 2",
13        "DefinitionKey": "INVALID DEFINITIONKEY",
14        "Versions" :[1,2]
15    }
16]

Response: No Errors 

1HTTP/1.1 200
2[
3    {
4        "contactKey": "CONTACTKEY 1",
5        "definitionKey": "DEFINITIONKEY",
6        "status": [
7            {
8                "version": 1,
9                "message": "Exit process Completed.",
10                "definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c1e"
11            },
12            {
13                "version": 1,
14                "message": "Exit request Ignored - Duplicate Request"
15            }
16        ]
17    },
18    {
19        "contactKey": "CONTACTKEY 2",
20        "definitionKey": "DEFINITIONKEY",
21        "status": [
22            {
23                "version": 1,
24                "message": "Exit request Cancelled - Contact not in this Interaction"
25            },
26            {
27                "version": 2,
28                "message": "Exit process Completed.",
29                "definitionInstanceId": "49c1b4f4-a46b-4e73-b31f-08446cac023a"
30            }
31        ]
32    }
33]

Response: Processing Pending for Contact Request for Exit 

1HTTP/1.1 200
2[
3    {
4        "contactKey": "3",
5        "definitionKey": "DEFINITIONKEY",
6        "status": [
7            {
8                "version": 3,
9                "message": "Exit request received for processing"
10            }
11        ]
12    }
13]

Response: Successful Completion of Exit by Contact 

1HTTP/1.1 200
2[
3    {
4        "contactKey": "2",
5        "definitionKey": "DEFINITIONKEY",
6        "status": [
7            {
8                "version": 3,
9                "message": "Exit process Completed.",
10                "definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c11"
11            }
12        ]
13    }
14]

Response: Invalid contactKey 

1HTTP/1.1 200
2[
3    {
4        "contactKey": "<Invalid contactKey>",
5        "definitionKey": "DEFINITIONKEY",
6        "status": [
7            {
8                "version": 1,
9                "message": "Exit request Cancelled - Contact not in this Interaction"
10            }
11        ]
12    }
13]

Response: Runtime Error 

1HTTP/1.1 400
2{
3    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
4    "errorcode": 30000,
5    "documentation": ""
6}

Response: Empty or Incorrect Authorization Token 

1HTTP/1.1 401
2{
3    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
4    "errorcode": 0,
5    "message": "Not Authorized"
6}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!